body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#grid {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(var(--num-cols), 40px);
    grid-template-rows: repeat(var(--num-rows), 40px);
}

.block {
    width: 40px;
    height: 40px;
    background: #000000;
    transition: background 0.3s;
}

#circle {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 100px;
    height: 100px;
    background: rgb(0, 0, 0);
    border-radius: 100%;
    cursor: pointer;
    transition: transform 0.3s ease;
}

#circle:hover {
    transform: scale(1
    .2);
}

#info {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: rgb(5, 5, 5);
    z-index: 1;
    font-family: 'Orbitron', sans-serif;
    font-size: 28px;
    font-weight: bold; /* Added line to make text bold */
}

#info p {
    line-height: 1.6;
}